import type { Berry } from "./interfaces/Berries/Berry";
import type { BerryFirmness } from "./interfaces/Berries/BerryFirmness";
import type { BerryFlavor } from "./interfaces/Berries/BerryFlavor";
import type { ContestEffect } from "./interfaces/Contests/ContestEffect";
import type { ContestType } from "./interfaces/Contests/ContestType";
import type { SuperContestEffect } from "./interfaces/Contests/SuperContestEffect";
import type { EncounterCondition } from "./interfaces/Encounters/EncounterCondition";
import type { EncounterConditionValue } from "./interfaces/Encounters/EncounterConditionValue";
import type { EncounterMethod } from "./interfaces/Encounters/EncounterMethod";
import type { EvolutionChain } from "./interfaces/Evolution/EvolutionChain";
import type { EvolutionTrigger } from "./interfaces/Evolution/EvolutionTrigger";
import type { Generation } from "./interfaces/Games/Generation";
import type { Pokedex } from "./interfaces/Games/Pokedex";
import type { Version } from "./interfaces/Games/Version";
import type { VersionGroup } from "./interfaces/Games/VersionGroup";
import type { Item } from "./interfaces/Items/Item";
import type { ItemAttribute } from "./interfaces/Items/ItemAttribute";
import type { ItemCategory } from "./interfaces/Items/ItemCategory";
import type { ItemFlingEffect } from "./interfaces/Items/ItemFlingEffect";
import type { ItemPocket } from "./interfaces/Items/ItemPocket";
import type { Location } from "./interfaces/Locations/Location";
import type { LocationArea } from "./interfaces/Locations/LocationArea";
import type { PalParkArea } from "./interfaces/Locations/PalParkArea";
import type { Region } from "./interfaces/Locations/Region";
import type { Machine } from "./interfaces/Machines/Machine";
import type { Move } from "./interfaces/Moves/Move";
import type { MoveAilment } from "./interfaces/Moves/MoveAilment";
import type { MoveBattleStyle } from "./interfaces/Moves/MoveBattleStyle";
import type { MoveCategory } from "./interfaces/Moves/MoveCategory";
import type { MoveDamageClass } from "./interfaces/Moves/MoveDamageClass";
import type { MoveLearnMethod } from "./interfaces/Moves/MoveLearnMethod";
import type { MoveTarget } from "./interfaces/Moves/MoveTarget";
import type { Ability } from "./interfaces/Pokemon/Ability";
import type { Characteristic } from "./interfaces/Pokemon/Characteristic";
import type { EggGroup } from "./interfaces/Pokemon/EggGroup";
import type { Gender } from "./interfaces/Pokemon/Gender";
import type { GrowthRate } from "./interfaces/Pokemon/GrowthRate";
import type { Nature } from "./interfaces/Pokemon/Nature";
import type { PokeathlonStat } from "./interfaces/Pokemon/PokeathlonStat";
import type { Pokemon } from "./interfaces/Pokemon/Pokemon";
import type { PokemonColor } from "./interfaces/Pokemon/PokemonColor";
import type { PokemonForm } from "./interfaces/Pokemon/PokemonForm";
import type { PokemonHabitat } from "./interfaces/Pokemon/PokemonHabitat";
import type { PokemonShape } from "./interfaces/Pokemon/PokemonShape";
import type { PokemonSpecies } from "./interfaces/Pokemon/PokemonSpecies";
import type { Stat } from "./interfaces/Pokemon/Stat";
import type { Type } from "./interfaces/Pokemon/Type";
import type { Language } from "./interfaces/Utility/Language";
import { Endpoint } from "./lib/Endpoint.js";
import { NamedEndpoint } from "./lib/NamedEndpoint.js";
export type * from "./interfaces/Berries/Berry";
export type * from "./interfaces/Berries/BerryFirmness";
export type * from "./interfaces/Berries/BerryFlavor";
export type * from "./interfaces/Contests/ContestEffect";
export type * from "./interfaces/Contests/ContestType";
export type * from "./interfaces/Contests/SuperContestEffect";
export type * from "./interfaces/Encounters/EncounterCondition";
export type * from "./interfaces/Encounters/EncounterConditionValue";
export type * from "./interfaces/Encounters/EncounterMethod";
export type * from "./interfaces/Evolution/EvolutionChain";
export type * from "./interfaces/Evolution/EvolutionTrigger";
export type * from "./interfaces/Games/Generation";
export type * from "./interfaces/Games/Pokedex";
export type * from "./interfaces/Games/Version";
export type * from "./interfaces/Games/VersionGroup";
export type * from "./interfaces/Items/Item";
export type * from "./interfaces/Items/ItemAttribute";
export type * from "./interfaces/Items/ItemCategory";
export type * from "./interfaces/Items/ItemFlingEffect";
export type * from "./interfaces/Items/ItemPocket";
export type * from "./interfaces/Locations/Location";
export type * from "./interfaces/Locations/LocationArea";
export type * from "./interfaces/Locations/PalParkArea";
export type * from "./interfaces/Locations/Region";
export type * from "./interfaces/Machines/Machine";
export type * from "./interfaces/Moves/Move";
export type * from "./interfaces/Moves/MoveAilment";
export type * from "./interfaces/Moves/MoveBattleStyle";
export type * from "./interfaces/Moves/MoveCategory";
export type * from "./interfaces/Moves/MoveDamageClass";
export type * from "./interfaces/Moves/MoveLearnMethod";
export type * from "./interfaces/Moves/MoveTarget";
export type * from "./interfaces/Pokemon/Ability";
export type * from "./interfaces/Pokemon/Characteristic";
export type * from "./interfaces/Pokemon/EggGroup";
export type * from "./interfaces/Pokemon/Gender";
export type * from "./interfaces/Pokemon/GrowthRate";
export type * from "./interfaces/Pokemon/Nature";
export type * from "./interfaces/Pokemon/PokeathlonStat";
export type * from "./interfaces/Pokemon/Pokemon";
export type * from "./interfaces/Pokemon/PokemonColor";
export type * from "./interfaces/Pokemon/PokemonForm";
export type * from "./interfaces/Pokemon/PokemonHabitat";
export type * from "./interfaces/Pokemon/PokemonShape";
export type * from "./interfaces/Pokemon/PokemonSpecies";
export type * from "./interfaces/Pokemon/Stat";
export type * from "./interfaces/Pokemon/Type";
export type * from "./interfaces/Utility/Language";
export type * from "./interfaces/Utility/CommonModels";
export type * from "./interfaces/Utility/ApiResourceList";
export type * from "./interfaces/Utility/NamedApiResourceList";
export declare class PokeAPI {
    static Berry: NamedEndpoint<Berry>;
    static BerryFirmness: NamedEndpoint<BerryFirmness>;
    static BerryFlavor: NamedEndpoint<BerryFlavor>;
    static ContestType: NamedEndpoint<ContestType>;
    static ContestEffect: Endpoint<ContestEffect>;
    static SuperContestEffect: Endpoint<SuperContestEffect>;
    static EncounterMethod: NamedEndpoint<EncounterMethod>;
    static EncounterCondition: NamedEndpoint<EncounterCondition>;
    static EncounterConditionValue: NamedEndpoint<EncounterConditionValue>;
    static EvolutionChain: Endpoint<EvolutionChain>;
    static EvolutionTrigger: NamedEndpoint<EvolutionTrigger>;
    static Generation: NamedEndpoint<Generation>;
    static Pokedex: NamedEndpoint<Pokedex>;
    static Version: NamedEndpoint<Version>;
    static VerionGroup: NamedEndpoint<VersionGroup>;
    static Item: NamedEndpoint<Item>;
    static ItemAttribute: NamedEndpoint<ItemAttribute>;
    static ItemCategory: NamedEndpoint<ItemCategory>;
    static ItemFlingEffect: NamedEndpoint<ItemFlingEffect>;
    static ItemPocket: NamedEndpoint<ItemPocket>;
    static Location: NamedEndpoint<Location>;
    static LocationArea: NamedEndpoint<LocationArea>;
    static PalParkArea: NamedEndpoint<PalParkArea>;
    static Region: NamedEndpoint<Region>;
    static Machine: Endpoint<Machine>;
    static Move: NamedEndpoint<Move>;
    static MoveAilment: NamedEndpoint<MoveAilment>;
    static MoveBattleStyle: NamedEndpoint<MoveBattleStyle>;
    static MoveCategory: NamedEndpoint<MoveCategory>;
    static MoveDamageClass: NamedEndpoint<MoveDamageClass>;
    static MoveLearnMethod: NamedEndpoint<MoveLearnMethod>;
    static MoveTarget: NamedEndpoint<MoveTarget>;
    static Ability: NamedEndpoint<Ability>;
    static Characteristic: Endpoint<Characteristic>;
    static EggGroup: NamedEndpoint<EggGroup>;
    static Gender: NamedEndpoint<Gender>;
    static GrowthRate: NamedEndpoint<GrowthRate>;
    static Nature: NamedEndpoint<Nature>;
    static PokeathlonStat: NamedEndpoint<PokeathlonStat>;
    static Pokemon: NamedEndpoint<Pokemon>;
    static PokemonColor: NamedEndpoint<PokemonColor>;
    static PokemonForm: NamedEndpoint<PokemonForm>;
    static PokemonHabitat: NamedEndpoint<PokemonHabitat>;
    static PokemonShape: NamedEndpoint<PokemonShape>;
    static PokemonSpecies: NamedEndpoint<PokemonSpecies>;
    static Stat: NamedEndpoint<Stat>;
    static Type: NamedEndpoint<Type>;
    static Language: NamedEndpoint<Language>;
}
