import { Collection } from "@discordjs/collection";
import type { ApiResourceList, Base } from "../interfaces/Utility/ApiResourceList.js";
type EndpointParam = number;
declare class Endpoint<T extends Base> {
    protected resource: string;
    protected _list?: ApiResourceList<T>;
    protected cache: Collection<number, T>;
    constructor(resource: string);
    get(param: EndpointParam): T | undefined;
    resolve(param: EndpointParam): Promise<T>;
    fetch(param: EndpointParam, cache?: boolean): Promise<T>;
    list(limit?: number, offset?: number): Promise<ApiResourceList<T>>;
    listAll(cache?: boolean): Promise<ApiResourceList<T>>;
    protected _cache(data: T): void;
    protected _isT(data: any): data is T;
    protected _isListT(data: any): data is ApiResourceList<T>;
}
export { Endpoint, type EndpointParam };
